<template>
  <div class="resources">
    <div class="title">
      <span @click="windowopne">数据资源目录</span>
      <img src="../../../assets/img/zonlan (9).png" alt="" />
    </div>

    <div class="content">
      <ul>
        <li v-for="(v, i) in dataDirectoryData" :key="i">
          <div
            class="left"
            :class="Number(i + 1) <= 3 ? 'left_orange' : 'left_blue'"
          >
            {{ i + 1 }}
          </div>
          <el-row class="right" :gutter="10">
            <el-col
              :span="8"
              :class="Number(i + 1) <= 3 ? 'orange' : 'blue'"
              style="
                overflow: hidden;
                text-overflow: ellipsis;
                white-space: nowrap;
                text-align: left;
              "
            >
              {{ v.RESOURCE_NAME }}
            </el-col>
            <el-col :span="8" class="tagging">
              {{ `来源：${v.DIC_NAME}` }}
            </el-col>
            <el-col :span="8" class="time">
              {{ v.REGISTER_TIME }}
            </el-col>
          </el-row>
        </li>
      </ul>
    </div>
  </div>
</template>

<script>
import { dataDirectorylistData } from "../../../utils/api.js";
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {
      dataDirectoryData: [],
    };
  },
  //方法集合
  methods: {
    windowopne() {
      var value = "http://172.16.1.19/resourcesHome.html?SJMH_DIC_ID=0";
      this.$emit("ifreamShow", true, value);
      //   window.open(value);
    },
    async dataDirectory() {
      // debugger;
      let { data: dt } = await dataDirectorylistData();
      // if (dt.errno !== 200) {
      //   return this.$message.error(dt.errmsg);
      // }
      //   console.log(dt);
      this.dataDirectoryData = dt;
      // this.dataDirectoryData = [
      //   {
      //     RESOURCE_NAME: "123sdsdsd1",
      //     DIC_NAME: 45646546546546,
      //     REGISTER_TIME: 54654564,
      //   },
      // ];
      this.dataDirectoryData.forEach((e, i) => {
        e.REGISTER_TIME = e.REGISTER_TIME.substring(0, 10);
      });
    },
  },
  created() {
    this.dataDirectory();
  },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.resources {
  overflow: hidden;
  width: 100%;
  height: 49%;
  // background-color: #bfa;
  box-sizing: border-box;
  background: rgba(8, 32, 58, 0.7);
  // padding-top: 40px;
  .title {
    width: 100%;
    position: relative;
    img {
      width: 100%;
    }
    span {
      font-size: 78px;
      font-weight: 400;
      color: #ffe86b;
      background: linear-gradient(0deg, #bce7ff 0%, #69efff 98.6572265625%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      position: absolute;
      left: 50%;
      top: 0;
      transform: translateX(-50%);
    }
  }
  .content {
    margin-top: 26px;
    // background: url("../../../assets/img/shujuguanli/框框.png") no-repeat center;
    background-size: 100% 100%;
    width: 100%;
    height: 1096px;
    position: relative;
    box-sizing: border-box;
    padding: 60px;
    ul {
      padding: 54px;
      box-sizing: border-box;
      li {
        height: 153px;
        display: flex;
        align-items: center;
        padding: 0 35px;
        margin-bottom: 20px;
        .left {
          width: 92px;
          height: 92px;
          font-size: 41px;
          color: #ffffff;
          line-height: 92px;
          text-align: center;
          margin-right: 60px;
        }
        .left_orange {
          //   background: url("../../../assets/img/shujuguanli/椭圆 11.png")
          // no-repeat center;
          background-size: 100% 100%;
        }
        .left_blue {
          //   background: url("../../../assets/img/椭圆 11 拷贝 2.png") no-repeat
          //     center;
          background-size: 100% 100%;
        }
        .right {
          width: 100%;
          display: flex;
          justify-content: space-between;
          flex-wrap: wrap;
          .orange {
            font-size: 48px;
            color: #ffb726;
          }
          .blue {
            font-size: 48px;
            color: #00b8f8;
          }
          .tagging {
            font-size: 48px;
            color: rgba(255, 255, 255, 0.68);
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
            text-align: left;
          }
          .time {
            font-size: 48px;
            color: rgba(255, 255, 255, 0.68);
            text-align: right;
          }
        }
      }
      li:hover {
        background-color: rgba(30, 107, 119, 0.3);
      }
    }
  }
}

@media only screen and (max-width: 2560px) {
  .resources {
    background: transparent;
    margin-top: -10%;
    height: auto;
    overflow: visible;
  }
}
</style>
